AIGameSettingControls.PopForDock = class extends AIGameSettingControlInt
{
	constructor(...args)
	{
		super(...args);
		this.defaultValue = 25;
		g_GameSettings.playerAI.watch(() => this.render(), ["values"]);
	}

	onOpenPage(playerIndex, enabled)
	{
		super.onOpenPage(playerIndex, enabled);
		this.render();
	}

	render()
	{
		const ai = g_GameSettings.playerAI.get(this.playerIndex);
		this.setHidden(!ai);
		if (ai)
		{
			const value = ai.economy?.popForDock ?? this.defaultValue;
			this.setIntValue(value);
		}
	}

	onValueChange(value)
	{
		const ai = g_GameSettings.playerAI.get(this.playerIndex);
		const economy = ai && ai.economy ? { ...ai.economy, "popForDock": value } : { "popForDock": value };
		g_GameSettings.playerAI.setEconomy(this.playerIndex, economy);
		this.gameSettingsController.setNetworkInitAttributes();
	}
};

AIGameSettingControls.PopForDock.prototype.TitleCaption =
	translate("Pop For Dock");
